<template>
    <div>
      <div class="input-container">
        <div>
          <label for="title">Title</label>
          <input v-model="product.title" type="text" id="title" class="input-field" />
        </div>
        <div>
          <label for="description">Description</label>
          <input v-model="product.description" type="text" id="description" class="input-field" />
        </div>
        <div>
          <label for="imgSrc">Image src</label>
          <input v-model="product.imgSrc" type="text" id="imgSrc" class="input-field" />
        </div>
  
        <button @click="addItemToRow(product)">Add</button>
      </div>
    </div>
  </template>
  
  <script>
  import { mapActions } from 'vuex';
  
  export default {
    name: 'AddToGalaryView',
    data() {
      return {
        product: {
          title: '',
          description: '',
          imgSrc: '',
          image: null,
        },
      };
    },
    methods: {
      ...mapActions('products', ['loadList', 'addItem', 'deleteItem', 'updateItem', 'loadFilteredData']),
      addItemToRow(product) {
        this.addItem(product);
        this.product = {};
        this.$router.push('/home');
      },
    },
  };
  </script>
  
  <style lang="scss" scoped>
  .input-container {
    max-width: 400px;
    margin: 0 auto; 
  }
  
  .input-field {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-bottom: 8px;
  }
  
  button {
  background-color: #5a5769;
  color: white;
  border: none;
  padding: 8px;
  border-radius: 4px;
  cursor: pointer;
  margin-left: 5px;
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
  font-size: large;
  }
  button:hover{
    background-color: #325872; 
  }

  label{
    font-size: x-large;
    color: white;
  }
  
  
  </style>
  